## desktop-base 12.0.6+nmu1ubuntu1

=== debian/changelog ===
desktop-base (12.0.6+nmu1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jul 2023 13:12:24 -0700

desktop-base (12.0.6ubuntu1) mantic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 02 May 2023 12:31:23 +0200

=== debian/control ===
Source: desktop-base
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
Uploaders: Yves-Alexis Perez <corsac@debian.org>,
           Aurélien COUDERC <coucouf@debian.org>,
           Jonathan Carter <jcc@debian.org>
Build-Depends: debhelper (>= 13),
               inkscape,
               librsvg2-bin,
               optipng,
# For the number in debian-logo-text
               fonts-quicksand,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.debian.org/devel/debian-desktop/
Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git

Package: desktop-base
Architecture: all
Depends: librsvg2-common,
# For the login background with logo
         fonts-quicksand,
Recommends: plymouth-label
Suggests: gnome | kde-standard | xfce4 | wmaker
Description: common files for the Debian Desktop
 This package contains various miscellaneous files which are used by
 Debian Desktop installations.  Currently, it provides some
 Debian-related artwork and themes, .desktop files containing links to
 Debian related material (suitable for placement on a user's desktop),
 and other common files between the available desktop environments
 such as GNOME and KDE.

## desktop-base 13.0.0~pre1

=== debian/changelog ===
desktop-base (13.0.0~pre1) unstable; urgency=medium

  [ Simon McVittie ]
  * Emerald: Remove Debian major version number from backgrounds.
    We have been in the Debian 13 cycle for more than a year now, so it seems
    inappropriate to identify testing/unstable installations as Debian 12.
    (Helps: #1038660)
  * Homeworld: Remove major version number from grub background.
    This seems to have been missed during #989822.

  [ Aurélien COUDERC ]
  * Drop obsolete lintian overrides.
  * Bump Standards-Version to 4.7.0, no change required.
  * Switch from debian/compat to debhelper-compat build dependency.
  * Drop custom gitlab-ci.yml config file and switch to default salsa-ci
    pipeline.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 03 Sep 2024 09:02:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
-Build-Depends: debhelper (>= 13),
+Build-Depends: debhelper-compat (= 13),
                inkscape,
                librsvg2-bin,
                optipng,
 # For the number in debian-logo-text
                fonts-quicksand,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.debian.org/devel/debian-desktop/
 Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
 Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git

## desktop-base 13.0.0~pre1ubuntu1

=== Makefile ===
GRUB_THEMES=emerald-theme/grub\
	homeworld-theme/grub\
	futureprototype-theme/grub\
	moonlight-theme/grub\
	softwaves-theme/grub\
	lines-theme/grub\
	joy-theme/grub\
	spacefun-theme/grub
DEFAULT_BACKGROUND=desktop-background

PIXMAPS=$(wildcard pixmaps/*.png)
DESKTOPFILES=$(wildcard *.desktop)

.PHONY: all clean install install-local
all: build-grub build-emblems build-logos
clean: clean-grub clean-emblems clean-logos

.PHONY: build-grub clean-grub install-grub
build-grub clean-grub install-grub:
	@target=`echo $@ | sed s/-grub//`; \
	for grub_theme in $(GRUB_THEMES) ; do \
		if [ -f $$grub_theme/Makefile ] ; then \
			$(MAKE) $$target -C $$grub_theme || exit 1; \
		fi \
	done

.PHONY: build-emblems clean-emblems install-emblems
build-emblems clean-emblems install-emblems:
	@target=`echo $@ | sed s/-emblems//`; \
	$(MAKE) $$target -C emblems-debian || exit 1;

.PHONY: build-logos clean-logos install-logos
build-logos clean-logos install-logos:
	@target=`echo $@ | sed s/-logos//`; \
	$(MAKE) $$target -C debian-logos || exit 1;


install: install-grub install-emblems install-logos install-local

install-local:
	# debian logo in circle as default user face icon
	install -d $(DESTDIR)/etc/skel
	$(INSTALL_DATA) defaults/common/etc/skel/.face $(DESTDIR)/etc/skel
	cd $(DESTDIR)/etc/skel && ln -s .face .face.icon

	# background files
	mkdir -p $(DESTDIR)/usr/share/images/desktop-base
	cd $(DESTDIR)/usr/share/images/desktop-base && ln -s $(DEFAULT_BACKGROUND) default
	# desktop files
	mkdir -p $(DESTDIR)/usr/share/desktop-base
	$(INSTALL_DATA) $(DESKTOPFILES) $(DESTDIR)/usr/share/desktop-base/
	# pixmaps files
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	$(INSTALL_DATA) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/

	# Create a 'debian-theme' symlink in plymouth themes folder, pointing at the
	# plymouth theme for the currently active 'desktop-theme' alternative.
	mkdir -p $(DESTDIR)/usr/share/plymouth/themes
	ln -s ../../desktop-base/active-theme/plymouth $(DESTDIR)/usr/share/plymouth/themes/debian-theme

	# Set Plasma 5 customizations
	install -d $(DESTDIR)/etc/xdg/autostart
	$(INSTALL_DATA) defaults/kde/etc/xdg/kcm-about-distrorc $(DESTDIR)/etc/xdg
	$(INSTALL_DATA) defaults/kde/etc/xdg/kickoffrc $(DESTDIR)/etc/xdg
	$(INSTALL_DATA) $(wildcard defaults/kde/etc/xdg/autostart/*) $(DESTDIR)/etc/xdg/autostart/
	install -d $(DESTDIR)/etc/xdg/plasma-workspace/env
	$(INSTALL_DATA) $(wildcard defaults/kde/etc/xdg/plasma-workspace/env/*) $(DESTDIR)/etc/xdg/plasma-workspace/env/
	install -d $(DESTDIR)/usr/share/desktop-base/kf5-settings
	$(INSTALL_DATA) $(wildcard defaults/kde/kf5-settings/*) $(DESTDIR)/usr/share/desktop-base/kf5-settings/
	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents
	$(INSTALL_DATA) defaults/kde/plasma/look-and-feel/org.debian.desktop/metadata.json $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop
	$(INSTALL_DATA) defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/defaults $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents
	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/layouts
	$(INSTALL_DATA) $(wildcard defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/layouts/*) $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/layouts/
	install -d $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/previews
	$(INSTALL_DATA) $(wildcard defaults/kde/plasma/look-and-feel/org.debian.desktop/contents/previews/*) $(DESTDIR)/usr/share/plasma/look-and-feel/org.debian.desktop/contents/previews/

	# Xfce 4.6
	mkdir -p $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml
	$(INSTALL_DATA) $(wildcard profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml/*) $(DESTDIR)/usr/share/desktop-base/profiles/xdg-config/xfce4/xfconf/xfce-perchannel-xml

	# GNOME background descriptors
	mkdir -p $(DESTDIR)/usr/share/gnome-background-properties


	# Space Fun theme (Squeeze’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/spacefun
	$(INSTALL_DATA) $(wildcard spacefun-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/spacefun
	install -d $(DESTDIR)/usr/share/desktop-base/spacefun-theme
	cd $(DESTDIR)/usr/share/desktop-base/spacefun-theme && ln -s /usr/share/plymouth/themes/spacefun plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/spacefun-theme/login
	$(INSTALL_DATA) $(wildcard spacefun-theme/login/*) $(DESTDIR)/usr/share/desktop-base/spacefun-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper/contents/images
	$(INSTALL_DATA) spacefun-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
	$(INSTALL_DATA) spacefun-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper
	$(INSTALL_DATA) $(wildcard spacefun-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/spacefun-theme/wallpaper/contents/images/
	$(INSTALL_DATA) spacefun-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-spacefun.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/spacefun-theme/wallpaper SpaceFun

	### Lockscreen (same as wallpaper)
	cd $(DESTDIR)/usr/share/desktop-base/spacefun-theme && ln -s wallpaper lockscreen


	# Joy theme (Wheezy’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/joy
	$(INSTALL_DATA) $(wildcard joy-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/joy
	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme
	cd $(DESTDIR)/usr/share/desktop-base/joy-theme && ln -s /usr/share/plymouth/themes/joy plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/login
	$(INSTALL_DATA) $(wildcard joy-theme/login/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper/contents/images
	$(INSTALL_DATA) joy-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
	$(INSTALL_DATA) joy-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper
	$(INSTALL_DATA) $(wildcard joy-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/wallpaper/contents/images/
	$(INSTALL_DATA) joy-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-joy.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/joy-theme/wallpaper Joy

	### Lockscreen
	install -d $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen/contents/images
	$(INSTALL_DATA) joy-theme/lockscreen/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
	$(INSTALL_DATA) joy-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen
	$(INSTALL_DATA) $(wildcard joy-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-theme/lockscreen/contents/images/
	# Lock screen symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/joy-theme/lockscreen JoyLockScreen

	# Joy Inksplat theme (Wheezy’s alternate theme)
	install -d $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme
	### Plymouth theme
	# Reuse « normal » joy theme
	cd $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme \
		&& ln -s /usr/share/plymouth/themes/joy plymouth \

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper/contents/images
	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
	$(INSTALL_DATA) joy-inksplat-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper
	$(INSTALL_DATA) $(wildcard joy-inksplat-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme/wallpaper/contents/images/
	$(INSTALL_DATA) joy-inksplat-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-joy-inksplat.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/joy-inksplat-theme/wallpaper JoyInksplat
	### Lockscreen (same as Joy)
	cd $(DESTDIR)/usr/share/desktop-base/joy-inksplat-theme && ln -s /usr/share/desktop-base/joy-theme/grub grub && ln -s /usr/share/desktop-base/joy-theme/lockscreen lockscreen && ln -s /usr/share/desktop-base/joy-theme/login login


	# Lines theme (Jessie’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/lines
	$(INSTALL_DATA) $(wildcard lines-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/lines
	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme
	cd $(DESTDIR)/usr/share/desktop-base/lines-theme && ln -s /usr/share/plymouth/themes/lines plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/login
	$(INSTALL_DATA) $(wildcard lines-theme/login/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper/contents/images
	$(INSTALL_DATA) lines-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
	$(INSTALL_DATA) lines-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper
	$(INSTALL_DATA) $(wildcard lines-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/wallpaper/contents/images/
	$(INSTALL_DATA) lines-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-lines.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/lines-theme/wallpaper Lines

	### Lockscreen
	install -d $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen/contents/images
	$(INSTALL_DATA) lines-theme/lockscreen/metadata.json $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
	$(INSTALL_DATA) lines-theme/lockscreen/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen
	$(INSTALL_DATA) $(wildcard lines-theme/lockscreen/contents/images/*) $(DESTDIR)/usr/share/desktop-base/lines-theme/lockscreen/contents/images/
	# Lock screen symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers
	cd $(DESTDIR)/usr/share/wallpapers && ln -s /usr/share/desktop-base/lines-theme/lockscreen LinesLockScreen


	# Soft waves theme (Stretch’s default)
	### Plymouth theme
	install -d $(DESTDIR)/usr/share/plymouth/themes/softwaves
	$(INSTALL_DATA) $(wildcard softwaves-theme/plymouth/*) $(DESTDIR)/usr/share/plymouth/themes/softwaves
	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme
	cd $(DESTDIR)/usr/share/desktop-base/softwaves-theme && ln -s /usr/share/plymouth/themes/softwaves plymouth
	### Login background
	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/login
	$(INSTALL_DATA) $(wildcard softwaves-theme/login/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/login

	### Wallpapers
	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images
	$(INSTALL_DATA) softwaves-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
	$(INSTALL_DATA) softwaves-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
	$(INSTALL_DATA) $(wildcard softwaves-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images/
	$(INSTALL_DATA) softwaves-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-softwaves.xml
	# Wallpaper symlink for KDE
	install -d $(DESTDIR)/usr/share/wallpapers

=== softwaves-theme/grub/Makefile ===
dir = usr/share/desktop-base/softwaves-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (13.0.0~pre1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 21 Nov 2024 16:31:47 -0600

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>

## desktop-base 13.0.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-GRUB_THEMES=emerald-theme/grub\
+GRUB_THEMES=ceratopsian-theme/grub\
+	emerald-theme/grub\
 	homeworld-theme/grub\
 	futureprototype-theme/grub\
 	moonlight-theme/grub\

=== debian/changelog ===
desktop-base (13.0.2) unstable; urgency=medium

  * Use new version of logo-text.svg that renders in rsvg

 -- Jonathan Carter <jcc@debian.org>  Sat, 10 May 2025 12:23:40 +0200

desktop-base (13.0.1) unstable; urgency=medium

  * Initial integration of ceratopsian-theme
    - Update copyright years
    - Start work in ceratopsian-theme directory
    - Update plymouth background
    - Update GNOME metadata
    - Update alternatives in postinst
    - Update Makefile with new entries
  * Update standards version to 4.7.2
  * Remove version from logo

 -- Jonathan Carter <jcc@debian.org>  Tue, 06 May 2025 16:03:29 +0200

## desktop-base 13.0.3

=== debian/changelog ===
desktop-base (13.0.3) unstable; urgency=medium

  * Fix incongruous black background in logo-text.svg and
    logo-text-version.svg when rendered by the Qt stack.
  * Move unused files out of the Plymouth emerald theme installed into the
    initrds. (Closes: #1095314)
  * Remove unwanted metadata from SVG files. (Closes: #956102)
  * Add vertical and extra-wide aspect ratio wallpapers. (Closes: #1074356)
  * Cleanup final ceratopsian SVGs from design work elements, saving ~25% on
    their file sizes.
  * Fix that the Debian Plasma theme cannot be selected in Plasma settings,
    update theme for Plasma 6 and trixie.
  * Fix incorrect license ref in debian/copyright.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 30 May 2025 14:30:31 +0200

## desktop-base 13.0.3ubuntu1

=== debian-logos/Makefile ===
dir = usr/share/desktop-base/debian-logos

.PHONY: build clean install

LOGOS = $(basename $(wildcard *.svg))
$(info Logos: '$(LOGOS)')
RESOLUTIONS := 64 128 256
$(info Resolutions: '$(RESOLUTIONS)')

# The build: target should depend on all PNGs to generate
$(info $(foreach SVG,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(SVG)-$(RES).png)))
build: $(foreach SVG,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(SVG)-$(RES).png))

# Dynamically add rules for PNG generation for each resolution, for each logo file
define SVG_TO_PNG_RULE
$1-$2.png: $1.svg
	rsvg-convert $$< -h $2 -o $$@.raw
	optipng $$@.raw -out $$@
endef
$(foreach LOGO,$(LOGOS),$(foreach RES,$(RESOLUTIONS),$(eval $(call SVG_TO_PNG_RULE,$(LOGO),$(RES)))))

clean:
	rm -f *.png.raw
	rm -f *.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.svg) $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png) $(DESTDIR)/$(dir)

include ../Makefile.inc

=== futureprototype-theme/grub/Makefile ===
dir = usr/share/desktop-base/futureprototype-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (13.0.3ubuntu1) questing; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Rik Mills <rikmills@kde.org>  Sat, 31 May 2025 10:36:43 +0100

desktop-base (13.0.2ubuntu1) questing; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Rik Mills <rikmills@kde.org>  Thu, 22 May 2025 15:52:39 +0100

## desktop-base 13.0.3+kali1

=== debian/changelog ===
desktop-base (13.0.3+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 10 Jun 2025 15:44:50 +0200

desktop-base (13.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 May 2025 16:01:45 +0200

desktop-base (13.0.0~pre1+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 23 Sep 2024 14:33:40 +0200

desktop-base (12.0.6+nmu1+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 08 Aug 2023 22:27:44 +0700

desktop-base (12.0.6+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 16 May 2023 09:31:05 +0700

desktop-base (12.0.5+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Mar 2023 17:04:08 +0100

desktop-base (12.0.4+kali2) kali-dev; urgency=medium

  * Remove etc/skel

 -- Arnaud Rebillout <arnaudr@kali.org>  Wed, 01 Mar 2023 08:42:20 +0700

desktop-base (12.0.4+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 28 Feb 2023 09:24:39 +0100

desktop-base (12.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 11 Jan 2023 15:25:36 +0100

desktop-base (12.0.1+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 19 Dec 2022 12:00:46 +0100

desktop-base (11.0.3+kali3) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Consistency with tabs to spaces
  * Update email address
  * Add XSBC-Vcs-*

  [ Arnaud Rebillout ]
  * Fix field for upstream URLs

  [ Daniel Ruiz de Alegría ]
  * Fix issues with the wallpaper in KDE 5.26
  * Remove empty share/plasma dir

 -- Daniel Ruiz de Alegría <daniruiz@kali.org>  Fri, 18 Nov 2022 14:00:08 +0100

desktop-base (11.0.3+kali2) kali-dev; urgency=medium

  * Remove everything from usr/share/{gnome-background-properties,wallpapers}

 -- Arnaud Rebillout <arnaudr@kali.org>  Tue, 09 Nov 2021 17:32:43 +0700

desktop-base (11.0.3+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 18 May 2021 15:57:16 +0200

desktop-base (11.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian.

 -- Arnaud Rebillout <arnaudr@kali.org>  Thu, 04 Mar 2021 16:30:00 +0700

desktop-base (10.0.3+kali3) kali-dev; urgency=medium

  * Add dependency on kali-desktop-base for proper upgrade path

 -- Raphaël Hertzog <raphael@offensive-security.com>  Tue, 05 Nov 2019 17:47:39 +0100

desktop-base (10.0.3+kali2) kali-experimental; urgency=medium

  * Remove all Kali specific files: moved to kali-themes package

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 22 Oct 2019 16:15:58 +0200

desktop-base (10.0.3+kali1) kali-dev; urgency=medium

  * Sync with Debian. Handle all kali theming with a full theme in kali-theme.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 09 Jul 2019 15:54:56 +0200

desktop-base (10.0.2+kali4) kali-dev; urgency=medium

  * Fix postinst to handle the first installation

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 14 May 2019 08:47:45 +0200

desktop-base (10.0.2+kali3) kali-dev; urgency=medium

  * Update the postinst to set kali as default plymouth theme
  * Enable again plymouth (closes 5426)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 10 May 2019 11:52:02 +0200

desktop-base (10.0.2+kali2) kali-dev; urgency=medium

  * Disable plymouth for now (drop from recommends).

 -- Raphaël Hertzog <raphael@offensive-security.com>  Sat, 04 May 2019 22:27:19 +0200

desktop-base (10.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Handle all kali theming with a full theme in kali-theme.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 23 Apr 2019 14:26:45 +0200

desktop-base (10.0.0+kali1) kali-dev; urgency=medium

  * Sync with Debian. Handle all kali theming with a full theme in kali-theme.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Feb 2019 12:21:50 +0100

desktop-base (9.0.7+kali1) kali-dev; urgency=medium

  * Sync with Debian. Handle all kali theming with a full theme in kali-theme.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Jun 2018 14:51:17 +0200

desktop-base (9.0.5+kali2) kali-dev; urgency=medium

  * Fix theme background for 2560x1600 resolution (closes 4542)

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 Feb 2018 09:07:12 +0100

desktop-base (9.0.5+kali1) kali-dev; urgency=medium

  * Sync with Debian. Handle all kali theming with a full theme in kali-theme.

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 04 Jul 2017 10:03:49 +0200

desktop-base (9.0.3+kali1) kali-dev; urgency=medium

  * Sync with Debian. Handle all kali theming with a full theme in kali-theme.

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 26 Jun 2017 16:15:59 +0200

desktop-base (9.0.2+kali3) kali-dev; urgency=medium

  * Tweak grub artwork.

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 10 Feb 2017 11:54:08 +0100

desktop-base (9.0.2+kali2) kali-dev; urgency=medium

  * Update Kali artwork, now based on SVG files.

 -- Raphaël Hertzog <buxy@kali.org>  Fri, 03 Feb 2017 12:24:10 +0100

desktop-base (9.0.2+kali1) kali-dev; urgency=medium

  * Sync with Debian. Handle all kali theming with a full theme in kali-theme.
  * Add "Breaks: kali-defaults (<< 2017.1.0)" to force upgrade of the package
    since the location of the lockscreen picture changed.

 -- Raphaël Hertzog <buxy@kali.org>  Mon, 30 Jan 2017 18:43:25 +0100

desktop-base (8.0.2+kalidev4) kali-dev; urgency=medium

  * Update the Kali KDE wallpaper to use the same artwork than GNOME.
  * Fix javascript helper to set initial KDE config and install it
    in the new location for Plasma Desktop 5.



=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+Maintainer: Kali Developers <devel@kali.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
@@ -13,16 +13,20 @@
 # For the number in debian-logo-text
                fonts-quicksand,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.debian.org/devel/debian-desktop/
-Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
-Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
+XS-Debian-Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/desktop-base
+Vcs-Git: https://gitlab.com/kalilinux/packages/desktop-base.git
 
 Package: desktop-base
 Architecture: all
 Depends: librsvg2-common,
 # For the login background with logo
          fonts-quicksand,
+# Kali branding moved there
+         kali-desktop-base,
 Recommends: plymouth-label
 Suggests: gnome | kde-standard | xfce4 | wmaker
 Description: common files for the Debian Desktop

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_install:
	# Remove .face and .face.icon, already provided by kali-themes
	rm -f  debian/desktop-base/etc/skel/.face*
	rmdir  debian/desktop-base/etc/skel || true
	# Don't show Debian wallpapers in GNOME settings
	rm -fr debian/desktop-base/usr/share/gnome-background-properties
	# Don't show Debian wallpapers in KDE settings
	rm -fr debian/desktop-base/usr/share/wallpapers
	# Fix issues with the wallpaper in KDE 5.26
	rm -fr debian/desktop-base/usr/share/plasma/

## desktop-base 13.0.4

=== ceratopsian-theme/grub/Makefile ===
dir = usr/share/desktop-base/ceratopsian-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== joy-theme/grub/Makefile ===
dir = usr/share/desktop-base/joy-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== moonlight-theme/grub/Makefile ===
dir = usr/share/desktop-base/moonlight-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (13.0.4) trixie; urgency=medium

  [ Aurélien COUDERC ]
  * Fix ceratopsian-theme’s plymouth password/fsck prompts off-center on
    multi-monitor mixed-resolution set-ups. Thanks Shaun Lewis for the patch.
    (Closes: #1110858)

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 28 Aug 2025 13:33:06 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
-Maintainer: Kali Developers <devel@kali.org>
+Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
 Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
@@ -15,18 +14,14 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://www.debian.org/devel/debian-desktop/
-XS-Debian-Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
-XS-Debian-Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git
-Vcs-Browser: https://gitlab.com/kalilinux/packages/desktop-base
-Vcs-Git: https://gitlab.com/kalilinux/packages/desktop-base.git
+Vcs-Browser: https://salsa.debian.org/debian-desktop-team/desktop-base
+Vcs-Git: https://salsa.debian.org/debian-desktop-team/desktop-base.git
 
 Package: desktop-base
 Architecture: all
 Depends: librsvg2-common,
 # For the login background with logo
          fonts-quicksand,
-# Kali branding moved there
-         kali-desktop-base,
 Recommends: plymouth-label
 Suggests: gnome | kde-standard | xfce4 | wmaker
 Description: common files for the Debian Desktop

## desktop-base 14.0.0~pre1

=== debian/changelog ===
desktop-base (14.0.0~pre1) unstable; urgency=medium

  [ Simon McVittie ]
  * Use logos without version number for testing/unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 11 Aug 2025 12:29:08 +0200

## desktop-base 14.0.0~pre2

=== Makefile ===
--- 
+++ 
@@ -39,6 +39,12 @@
 install: install-grub install-emblems install-logos install-local
 
 install-local:
+	# Ensure SVG files don’t include inkscape:export-filename. (See #956102)
+	if find . -name "*.svg" -exec grep inkscape:export-filename {} + ; then \
+		echo "error: please remove inkscape:export-filename attribute from SVGs, it tends to leak information about the user who did the export."; \
+		exit 1; \
+	fi
+
 	# debian logo in circle as default user face icon
 	install -d $(DESTDIR)/etc/skel
 	$(INSTALL_DATA) defaults/common/etc/skel/.face $(DESTDIR)/etc/skel
@@ -53,6 +59,7 @@
 	# pixmaps files
 	mkdir -p $(DESTDIR)/usr/share/pixmaps
 	$(INSTALL_DATA) $(PIXMAPS) $(DESTDIR)/usr/share/pixmaps/
+
 
 	# Create a 'debian-theme' symlink in plymouth themes folder, pointing at the
 	# plymouth theme for the currently active 'desktop-theme' alternative.
@@ -201,7 +208,3 @@
 	install -d $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images
 	$(INSTALL_DATA) softwaves-theme/wallpaper/metadata.json $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
 	$(INSTALL_DATA) softwaves-theme/wallpaper/gnome-background.xml $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper
-	$(INSTALL_DATA) $(wildcard softwaves-theme/wallpaper/contents/images/*) $(DESTDIR)/usr/share/desktop-base/softwaves-theme/wallpaper/contents/images/
-	$(INSTALL_DATA) softwaves-theme/gnome-wp-list.xml $(DESTDIR)/usr/share/gnome-background-properties/debian-softwaves.xml
-	# Wallpaper symlink for KDE
-	install -d $(DESTDIR)/usr/share/wallpapers

=== debian/changelog ===
desktop-base (14.0.0~pre2) unstable; urgency=medium

  [ Simon McVittie ]
  * Turn off features of Inkscape (used for SVG to PNG conversions) and its
    dependencies that would normally try to connect to the D-Bus session bus
    during build.
  * Remove the "13" from login background and Plymouth theme.

  [ Aurélien COUDERC ]
  * Fix ceratopsian-theme’s plymouth password/fsck prompts off-center on
    multi-monitor mixed-resolution set-ups. Thanks Shaun Lewis for the patch.
    (Closes: #1110858)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 17 Aug 2025 23:33:02 +0200

## desktop-base 14.0.0~pre2Blankon1

=== debian/changelog ===
desktop-base (14.0.0~pre2Blankon1) verbeek; urgency=medium

  * update upstream release
  * Change background to BlankOn

 -- Hanhan <matcherapy@gmail.com>  Sun, 18 Jan 2026 15:54:24 +0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
-Uploaders: Yves-Alexis Perez <corsac@debian.org>,
+Maintainer: BlankOn Developers <blankon-dev@googlegroups.com>
+Uploaders: Hanhan <matcherapy@gmail.com>
+XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
+XSBC-Original-Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),

## desktop-base 14.0.0~pre2blankon1

=== debian/changelog ===
desktop-base (14.0.0~pre2blankon1) verbeek; urgency=medium

  * update upstream release
  * Change background to BlankOn

 -- Hanhan <matcherapy@gmail.com>  Sun, 18 Jan 2026 15:54:24 +0700

## desktop-base 14.0.0~pre2ubuntu1

=== emerald-theme/grub/Makefile ===
dir = usr/share/desktop-base/emerald-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== homeworld-theme/grub/Makefile ===
dir = usr/share/desktop-base/homeworld-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== spacefun-theme/grub/Makefile ===
dir = usr/share/desktop-base/spacefun-theme/grub

.PHONY: build clean install

files = \
	grub-4x3.png \
	grub-16x9.png

build: $(files)

clean:
	rm -f grub-4x3.png.raw grub-16x9.png.raw
	rm -f grub-4x3.png grub-16x9.png

install:
	install -d $(DESTDIR)/$(dir)
	$(INSTALL_DATA) $(wildcard *.png *.sh) $(DESTDIR)/$(dir)

grub-4x3.png: grub-4x3.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

grub-16x9.png: grub-16x9.svg
	inkscape --export-filename=$@ $<
	mv $@ $@.raw
	optipng $@.raw -out $@

include ../../Makefile.inc

=== debian/changelog ===
desktop-base (14.0.0~pre2ubuntu1) resolute; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - debian/postinst, debian/prerm: Don't apply Debian branding for GRUB

 -- Rik Mills <rikmills@kde.org>  Wed, 22 Oct 2025 05:35:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: desktop-base
 Section: x11
 Priority: optional
-Maintainer: BlankOn Developers <blankon-dev@googlegroups.com>
-Uploaders: Hanhan <matcherapy@gmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Desktop Team <debian-desktop@lists.debian.org>
-XSBC-Original-Uploaders: Yves-Alexis Perez <corsac@debian.org>,
+Uploaders: Yves-Alexis Perez <corsac@debian.org>,
            Aurélien COUDERC <coucouf@debian.org>,
            Jonathan Carter <jcc@debian.org>
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

# Turn off features of Inkscape and its dependencies that would normally
# try to connect to the D-Bus session bus
export DBUS_SESSION_BUS_ADDRESS=invalid:
export GIO_USE_MEMORY_MONITOR=none
export GIO_USE_NETWORK_MONITOR=netlink
export GIO_USE_PORTALS=0
export GIO_USE_POWER_PROFILE_MONITOR=none
export GIO_USE_VFS=local
export GIO_USE_VOLUME_MONITOR=unix
export GSETTINGS_BACKEND=memory
export GTK_USE_PORTAL=0
unexport XDG_RUNTIME_DIR

%:
	dh $@

## desktop-base 14.0.0~pre2+kali1

=== debian/changelog ===
desktop-base (14.0.0~pre2+kali1) kali-dev; urgency=medium

  * Sync with Debian

 -- Sophie Brun <sophie@kali.org>  Wed, 19 Nov 2025 11:44:23 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,3 +15,14 @@
 
 %:
 	dh $@
+
+execute_after_dh_auto_install:
+	# Remove .face and .face.icon, already provided by kali-themes
+	rm -f  debian/desktop-base/etc/skel/.face*
+	rmdir  debian/desktop-base/etc/skel || true
+	# Don't show Debian wallpapers in GNOME settings
+	rm -fr debian/desktop-base/usr/share/gnome-background-properties
+	# Don't show Debian wallpapers in KDE settings
+	rm -fr debian/desktop-base/usr/share/wallpapers
+	# Fix issues with the wallpaper in KDE 5.26
+	rm -fr debian/desktop-base/usr/share/plasma/

## desktop-base 14.0.0~pre3

=== debian/changelog ===
desktop-base (14.0.0~pre3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Set distro version info to forky/sid for Plasma about.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Feb 2026 18:46:20 +0100
